Bug 130101 - Printer disappears from Print Manager
Printer disappears from Print Manager
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-16 22:26 EDT by Wayne Hammond
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-27 22:41:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Hammond 2004-08-16 22:26:51 EDT
Description of problem:
I have to logon to "root" in order to install my network printer into
cups.  The printer came with a Linux install script, and it installs
fine. When I logoff as root and logon as a normal user, the printer is
in the Print Manager.  After a shutting down and powering back up, the
printer is gone from Print manager


Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. Install printer under root.
2. Power down computer.
3. Start computer.
  
Actual results:
Prineter disappears from Print Manager

Expected results:
Printer should remain in Print Manager

Additional info:
[wdh@localhost wdh]$ dmesg
Linux version 2.6.7-1.494.2.2 (bhcompile@tweety.build.redhat.com) (gcc
version 3 .3.3 20040412 (Red Hat Linux 3.3.3-7)) #1 Tue Aug 3 09:39:58
EDT 2004
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000001fff0000 (usable)
 BIOS-e820: 000000001fff0000 - 000000001fff3000 (ACPI NVS)
 BIOS-e820: 000000001fff3000 - 0000000020000000 (ACPI data)
 BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
511MB LOWMEM available.
zapping low mappings.
On node 0 totalpages: 131056
  DMA zone: 4096 pages, LIFO batch:1
  Normal zone: 126960 pages, LIFO batch:16
  HighMem zone: 0 pages, LIFO batch:1
DMI 2.2 present.
ACPI: RSDP (v000 KT600                                     ) @ 0x000f6400
ACPI: RSDT (v001 KT600  AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x1fff3000
ACPI: FADT (v001 KT600  AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x1fff3040
ACPI: MADT (v001 KT600  AWRDACPI 0x42302e31 AWRD 0x00000000) @ 0x1fff7f80
ACPI: DSDT (v001 KT600  AWRDACPI 0x00001000 MSFT 0x0100000e) @ 0x00000000
ACPI: PM-Timer IO Port: 0x4008
Built 1 zonelists
Kernel command line: ro root=LABEL=/  rhgb
mapped 4G/4G trampoline to ffff3000.
Initializing CPU#0
CPU 0 irqstacks, hard=023c5000 soft=023c4000
PID hash table entries: 2048 (order 11: 16384 bytes)
Detected 2083.178 MHz processor.
Using tsc for high-res timesource
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 515092k/524224k available (2016k kernel code, 8392k reserved,
651k data,  140k init, 0k highmem)
Calibrating delay loop... 4087.80 BogoMIPS
Security Scaffold v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
There is already a security framework initialized, register_security
failed.
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512 (order: 0, 4096 bytes)
CPU: After generic identify, caps: 0383fbff c1c3fbff 00000000 00000000
CPU: After vendor identify, caps:  0383fbff c1c3fbff 00000000 00000000
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 512K (64 bytes/line)
CPU: After all inits, caps:        0383f3ff c1c3fbff 00000000 00000020
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: AMD Athlon(tm) XP 2800+ stepping 00
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
checking if image is initramfs...it isn't (no cpio magic); looks like
an initrd
Freeing initrd memory: 267k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfb260, last bus=1
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20040326
ACPI: IRQ9 SCI: Level Trigger.
ACPI: Interpreter enabled
ACPI: Using PIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (00:00)
PCI: Probing PCI hardware (bus 00)
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 6 7 *10 11 12)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 6 7 10 *11 12)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 6 7 *10 11 12)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 6 7 10 *11 12)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 6 7 10 11 12) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 6 7 10 11 12) *0
ACPI: PCI Interrupt Link [LNK0] (IRQs 3 4 6 7 10 11 12) *0, disabled.
ACPI: PCI Interrupt Link [LNK1] (IRQs 3 4 6 7 10 11 12) *0, disabled.
ACPI: PCI Interrupt Link [ALKA] (IRQs 20) *11
ACPI: PCI Interrupt Link [ALKB] (IRQs *21)
ACPI: PCI Interrupt Link [ALKC] (IRQs *22)
ACPI: PCI Interrupt Link [ALKD] (IRQs *23)
Linux Plug and Play Support v0.97 (c) Adam Belay
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
ACPI: PCI Interrupt Link [LNKF] BIOS reported IRQ 0, using IRQ 11
ACPI: PCI Interrupt Link [LNKF] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:09.0[A] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:0b.0[A] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt Link [LNKB] enabled at IRQ 11
ACPI: PCI interrupt 0000:00:0f.0[B] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt Link [LNKA] enabled at IRQ 10
ACPI: PCI interrupt 0000:00:0f.1[A] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI interrupt 0000:00:10.0[A] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI interrupt 0000:00:10.1[A] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI interrupt 0000:00:10.2[B] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI interrupt 0000:00:10.3[B] -> GSI 11 (level, low) -> IRQ 11
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 10
ACPI: PCI interrupt 0000:00:10.4[C] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI interrupt 0000:00:11.5[C] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI interrupt 0000:00:12.0[A] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI interrupt 0000:01:00.0[A] -> GSI 10 (level, low) -> IRQ 10
TC classifier action (bugs to netdev@oss.sgi.com cc hadi@cyberus.ca)
vesafb: probe of vesafb0 failed with error -6
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.16ac)
apm: overridden by ACPI.
audit: initializing netlink socket (disabled)
audit(1092680629.296:0): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
Initializing Cryptographic API
ksign: Installing public key data
Loading keyring
- Added public key 86671F00334EFBCB
- User ID: Red Hat, Inc. (Kernel Module GPG key)
ksign: invalid packet (ctb=00)
Unable to load default keyring: error=74
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Fan [FAN] (on)
ACPI: Processor [CPU0] (supports C1)
ACPI: Thermal Zone [THRM] (28 C)
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Real Time Clock Driver v1.12
Linux agpgart interface v0.100 (c) Dave Jones
agpgart: Detected VIA KT400/KT400A/KT600 chipset
agpgart: Maximum main memory to use for agp memory: 439M
agpgart: AGP aperture is 64M @ 0xe8000000
Serial: 8250/16550 driver $Revision: 1.90 $ 8 ports, IRQ sharing enabled
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
RAMDISK driver initialized: 16 RAM disks of 16384K size 1024 blocksize
divert: not allocating divert_blk for non-ethernet device lo
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with
idebus=xx
VP_IDE: IDE controller at PCI slot 0000:00:0f.1
ACPI: PCI interrupt 0000:00:0f.1[A] -> GSI 10 (level, low) -> IRQ 10
VP_IDE: chipset revision 6
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt8237 (rev 00) IDE UDMA133 controller on pci0000:00:0f.1
    ide0: BM-DMA at 0xb000-0xb007, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xb008-0xb00f, BIOS settings: hdc:DMA, hdd:pio
hda: ST3120022A, ATA DISK drive
Using cfq io scheduler
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
hdc: WSM-52Z, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 1024KiB
hda: 234441648 sectors (120034 MB) w/2048KiB Cache, CHS=16383/255/63,
UDMA(100)
 hda: hda1 hda2 hda3
hdc: ATAPI 52X CD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
ide-floppy driver 0.99.newide
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.0:USB HID core driver
mice: PS/2 mouse device common for all mice
serio: i8042 AUX port at 0x60,0x64 irq 12
input: ImExPS/2 Logitech Explorer Mouse on isa0060/serio1
serio: i8042 KBD port at 0x60,0x64 irq 1
input: AT Translated Set 2 keyboard on isa0060/serio0
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
NET: Registered protocol family 2
IP: routing cache hash table of 1024 buckets, 32Kbytes
TCP: Hash tables configured (established 32768 bind 9362)
Initializing IPsec netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
ACPI: (supports S0 S1 S4 S5)
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
RAMDISK: Compressed image found at block 0
VFS: Mounted root (ext2 filesystem).
SCSI subsystem initialized
libata version 1.02 loaded.
sata_via version 0.20
ACPI: PCI interrupt 0000:00:0f.0[B] -> GSI 11 (level, low) -> IRQ 11
sata_via(0000:00:0f.0): routed to hard irq line 11
ata1: SATA max UDMA/133 cmd 0x9800 ctl 0x9C02 bmdma 0xA800 irq 11
ata2: SATA max UDMA/133 cmd 0xA000 ctl 0xA402 bmdma 0xA808 irq 11
ata1: no device found (phy stat 00000000)
scsi0 : sata_via
ata2: no device found (phy stat 00000000)
scsi1 : sata_via
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 140k freed
NET: Registered protocol family 10
Disabled Privacy Extensions on device 0235d140(lo)
IPv6 over IPv4 tunneling driver
divert: not allocating divert_blk for non-ethernet device sit0
ACPI: Power Button (FF) [PWRF]
ACPI: Sleep Button (CM) [SLPB]
USB Universal Host Controller Interface driver v2.2
ACPI: PCI interrupt 0000:00:10.0[A] -> GSI 10 (level, low) -> IRQ 10
uhci_hcd 0000:00:10.0: UHCI Host Controller
uhci_hcd 0000:00:10.0: irq 10, io base 0000b400
uhci_hcd 0000:00:10.0: new USB bus registered, assigned bus number 1
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
ACPI: PCI interrupt 0000:00:10.1[A] -> GSI 10 (level, low) -> IRQ 10
uhci_hcd 0000:00:10.1: UHCI Host Controller
uhci_hcd 0000:00:10.1: irq 10, io base 0000b800
uhci_hcd 0000:00:10.1: new USB bus registered, assigned bus number 2
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ACPI: PCI interrupt 0000:00:10.2[B] -> GSI 11 (level, low) -> IRQ 11
uhci_hcd 0000:00:10.2: UHCI Host Controller
uhci_hcd 0000:00:10.2: irq 11, io base 0000bc00
uhci_hcd 0000:00:10.2: new USB bus registered, assigned bus number 3
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 2 ports detected
ACPI: PCI interrupt 0000:00:10.3[B] -> GSI 11 (level, low) -> IRQ 11
uhci_hcd 0000:00:10.3: UHCI Host Controller
uhci_hcd 0000:00:10.3: irq 11, io base 0000c000
uhci_hcd 0000:00:10.3: new USB bus registered, assigned bus number 4
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
ACPI: PCI interrupt 0000:00:10.4[C] -> GSI 10 (level, low) -> IRQ 10
ehci_hcd 0000:00:10.4: EHCI Host Controller
ehci_hcd 0000:00:10.4: irq 10, pci mem 2283b000
ehci_hcd 0000:00:10.4: new USB bus registered, assigned bus number 5
ehci_hcd 0000:00:10.4: USB 2.0 enabled, EHCI 1.00, driver 2004-May-10
hub 5-0:1.0: USB hub found
hub 5-0:1.0: 8 ports detected
EXT3 FS on hda2, internal journal
device-mapper: 4.1.0-ioctl (2003-12-10) initialised: dm@uk.sistina.com
cdrom: open failed.
Adding 1044216k swap on /dev/hda3.  Priority:-1 extents:1
kjournald starting.  Commit interval 5 seconds
EXT3 FS on hda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
ohci1394: $Rev: 1223 $ Ben Collins <bcollins@debian.org>
ACPI: PCI interrupt 0000:00:09.0[A] -> GSI 11 (level, low) -> IRQ 11
ieee1394: warning: Invalid max packet size of 2, setting to 512
ohci1394: fw-host0: OHCI-1394 1.0 (PCI): IRQ=[11] 
MMIO=[ef100000-ef1007ff]  Max  Packet=[512]
ieee1394: Host added: ID:BUS[0-00:1023]  GUID[0011060000000b8c]
ip_tables: (C) 2000-2002 Netfilter core team
ip_conntrack version 2.1 (4095 buckets, 32760 max) - 320 bytes per
conntrack
via-rhine.c:v1.10-LK1.1.20-2.6 May-23-2004 Written by Donald Becker
ACPI: PCI interrupt 0000:00:12.0[A] -> GSI 10 (level, low) -> IRQ 10
divert: allocating divert_blk for eth0
eth0: VIA Rhine II at 0xef103000, 00:50:2c:a2:34:2d, IRQ 10.
eth0: MII PHY found at address 1, status 0x7849 advertising 05e1 Link
0000.
e100: Intel(R) PRO/100 Network Driver, 3.0.18
e100: Copyright(c) 1999-2004 Intel Corporation
ACPI: PCI interrupt 0000:00:0b.0[A] -> GSI 11 (level, low) -> IRQ 11
divert: allocating divert_blk for eth1
e100: eth1: e100_probe: addr 0xef101000, irq 11, MAC addr
00:90:27:9F:42:B0
e100: eth1: e100_watchdog: link up, 100Mbps, full-duplex
eth1: no IPv6 routers present
via82xx: Assuming DXS channels with 48k fixed sample rate.
         Please try dxs_support=1 or dxs_support=4 option
         and report if it works on your machine.
ACPI: PCI interrupt 0000:00:11.5[C] -> GSI 10 (level, low) -> IRQ 10
PCI: Setting latency timer of device 0000:00:11.5 to 64
spurious 8259A interrupt: IRQ7.
Comment 1 Tim Waugh 2004-08-17 03:41:34 EDT
Remove system-config-printer and system-config-printer-gui and try again.
Comment 2 Wayne Hammond 2004-08-18 20:42:52 EDT
I uninstalled the program completely, logged on as "root" per user
documentation, and then reinstalled.  After rebooting, the printer was
not installed.  Opemed the "Linux-config" program from the menu,
received several errors "cups server not started" and a few more about
the cups printing system.  Logging on as root and running the
Linux-configuration permits installing the printer. Printer disappears
when rebooting computer.
Comment 3 Tim Waugh 2004-08-19 04:12:10 EDT
What does '/sbin/chkconfig --list cups' say?  It sounds like the
service is not enabled (which you can do with '/sbin/chkconfig cups
on').  Is that the case?
Comment 4 Wayne Hammond 2004-08-19 19:43:41 EDT
I could not delete system-config-printer and system-config-printer-gui
from my system using the graphical interface.  Error when unchecking
system-config-printer-gui and running "update" was
"system-config-printer-gui not on system, must be installed to
continue.  When using "locate system-config-printer", many directories
and files were located.  I deleted all of the executables I could find
manually, and the tried installing the printer with the supplied
scripts.  The install program hangs everytime now and does not complete.

I ran the commands you provided and received the following:

[wdh@localhost wdh]$ /sbin/chkconfig --list cups
service cups supports chkconfig, but is not referenced in any runlevel 
[wdh@localhost wdh]$ su
Password:
[root@localhost wdh]# /sbin/chkconfig --add cups

and then checking for cups again:
[root@localhost wdh]# /sbin/chkconfig --list cups
cups            0:off   1:off   2:on    3:on    4:on    5:on    6:off


The printer appears as an icon in "Print Manager" but I cannot access
the "Properties" configuration to verify settings.  This printer is
connected to an HP Jetdirect interface.  

I no longer have the option of checking on the
system-config-printer-gui checkbox in the install programs options, so
I tried running the RPM directly from the CD.  The printer still
cannot be configured, and re-running the RPM for
system-config-printer-gui returns "program already installed".

This is the output from chkconfig:
[root@localhost wdh]# /sbin/chkconfig --list system-config-printer-gui
error reading information on service system-config-printer-gui: No
such file or directory
[root@localhost wdh]# /sbin/chkconfig --list system-config-printer
error reading information on service system-config-printer: No such
file or directory

locate:
[root@localhost wdh]# locate system-config-printer
/etc/pam.d/system-config-printer-tui
/etc/pam.d/system-config-printer
/etc/pam.d/system-config-printer-gui
/etc/security/console.apps/system-config-printer-tui
/etc/security/console.apps/system-config-printer
/etc/security/console.apps/system-config-printer-gui
/etc/setuptool.d/99system-config-printer-tui
/usr/share/doc/system-config-printer-0.6.98
/usr/share/doc/system-config-printer-0.6.98/ChangeLog
/usr/share/doc/system-config-printer-0.6.98/COPYING
/usr/share/doc/system-config-printer-0.6.98/figs
and a whole bunch more!

HELP!


Comment 5 Wayne Hammond 2004-08-19 21:15:23 EDT
I also noticed my sound card will not stay configured after a restart.  

I think I read a while back that there are two competing programs that
configure hardware when starting and that they conflict with each
other. Is that correct?  I think I read that one should be removed
from the system.  Is that correct?

Thank you for all of the help you've already provided!
Comment 6 Tim Waugh 2004-08-20 04:27:30 EDT
$ /sbin/chkconfig --list cups
service cups supports chkconfig, but is not referenced in any runlevel

This looks very much like a problem with your 3rd party driver to me.
 'chkconfig --add cups' is run when cups is installed (i.e. when you
first installed Fedora Core), so something else removed them.

Re: sound card -- this is not a support forum, but a bug-reporting
form.  Please stick to one single bug per report.  If you think there
is a bug in the sound configuration utility, please file a separate
report.

Now that you have CUPS enabled properly I fully expect things to work
after a reboot.
Comment 7 Wayne Hammond 2004-08-20 14:18:56 EDT
Things do not work after reboot.  The printer is sttill not there.

Everything worked on this system as initially installed, printer,
sound card, ethernet card, etc.  After one of the automatic updates
from Red Hat, the ethernet card did not work, then the sound card
stopped working, and now the printer does not work.  I can logon as
root and reconfigure any of these, and they work until the next
reboot.  The next time I logon they no longer work.  It seems the
configuration is being rewritten on restart.

BTW,  cups is not enabled again after reboot either, even though the
settings are "enable on boot".

Does this need a seperate bug report, or are these items related?
Comment 8 Wayne Hammond 2004-08-21 15:31:52 EDT
Still struggling with why my settings do not stay.  Attempted to
upgrade linux script files from the RedHat site.

entered:

[root@localhost tmp]# rpm -U initscripts-7.55.1-1.i386
ppp-2.4.2-3.FC2.1.i386.rpm

Received error:
/etc/security/selinux/file_contexts: No such file or directory
error: open of initscripts-7.55.1-1.i386 failed: No such file or directory

Did a search on selinux and found that my computer should not have it
installed as the default is off.  

Received this prompt when running the command provided in the selinux FAQ

[wdh@localhost wdh]$ ls -alZ file.foo
Sorry, this option can only be used on a SELinux kernel.


Apparently one of the updates caused this behavior as the printer used
to work.  I am sending this to you to keep you informed and in case it
is useful for you.

Note You need to log in before you can comment on or make changes to this bug.